.l-main-pagecontent h3 {
	margin-bottom: 1.75rem;
    margin-top: 1.75rem;
}

/* Grid Layout */
.gridContainer {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
    margin-top: 30px;
	margin-right:15%;
	margin-left: 15%;
}

.Column_2 h1 {
	color: #000;
	text-align: center;
}

/* Link Box Styling */
.linkCard {
    padding: 0px 20px 20px 20px;
	background-color: #fff;
	box-shadow: 5px 5px 10px rgba(0,0,0,0.5);
    border-radius: 6px;
    border: 2px solid #ccc;
    display: flex;
    flex-direction: column;
	transition: border 0.3s ease, transform 0.3s ease;
}

.linkCard h3 a {
	margin: 0;
    padding: 0;
    font-weight: bold;
    color: #e90802;
    text-decoration: none;
    margin-bottom: 8px;
}

.linkCard p {
    font-size: 1.2rem;
    color: #333;
}

.linkCard ul{
	list-style: bullets;
	font-size: 1.2rem;
}

.linkCard ul li{
	font-size: 1.2rem;
}

.filters {
	display: grid;
	justify-content: center;
	align-items: center;
	text-align: center;
	grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
	grid-auto-rows: 1fr;
	max-width: 90%;
	margin-left: auto;
	margin-right: auto;
	filter: drop-shadow(2px 0px 0px #e90802) 
          drop-shadow(-2px 0px 0px #e90802) 
          drop-shadow(0px 2px 0px #e90802) 
          drop-shadow(0px -2px 0px #e90802);
}

/* Controls Styling */
.controls { 
	text-align: center; 
	margin-bottom: 30px;
}
#searchInput { 
	padding: 10px; 
	width: 90%; 
	max-width: 400px; 
	margin-bottom: 15px; 
	display: none;
}
.filter-btn { 
	padding: 10px 20px 10px 20px; 
	margin: 3px; 
	width: auto;
	margin-top:auto;
	margin-bottom:auto;
	max-width: 150px;
	height: 100%;
	cursor: pointer;
	background: #fff; 
	color: black; 
	clip-path: polygon(0% 0%, 60% 0%, calc(100% - 20px) 0%, 100% 50%, calc(100% - 20px) 100%, 0% 100%, 20px 50%);
	transition: transform 0.3s ease; 
}
.filter-btn.active { 
	background: #e90802; 
	color: white; 
	font-weight: bold;
	border-color: #e90802; 
	box-shadow: 2px 2px 5px rgba(233, 8, 2, .5);
}

.filter-btn:focus {
    outline: 2px solid #000;
    outline-offset: 2px;
}

.filter-btn:hover {
    background: #000;
	color: #fff;
	transform: translateY(-5px);
}

/*
.filter-btn:hover {
	border: 1px solid #e90802;
}
*/

/* CMS Visibility Logic */
.data-source-wrapper { display: none; } /* Hide from public */

.main .data-source-wrapper {
  display: block !important;

/* If Modern Campus adds a specific class to the body in Edit Mode, use it here */
/* Example: .edit-mode .data-source-wrapper { display: block; } */

@media (max-width: 1024px) { .gridContainer { grid-template-columns: repeat(2, 1fr); } }
@media (max-width: 600px) { .gridContainer { grid-template-columns: 1fr; } }
/* Hide the asset when the screen is 768px or narrower */
@media (max-width: 768px) {
    .Column_1 {
        display: none !important;
    }
}